Class | Spec::Story::Runner::StoryMediator::Step
In: | lib/spec/story/runner/story_mediator.rb
Parent: | Object

### Methods

new to_proc

### Public Class methods

new(type, name)

[Source]

         # File lib/spec/story/runner/story_mediator.rb, line 106
    106:           def initialize(type, name)
    107:             @type = type
    108:             @name = name
    109:           end

### Public Instance methods

to_proc()

[Source]

         # File lib/spec/story/runner/story_mediator.rb, line 111
    111:           def to_proc
    112:             type = @type
    113:             name = @name
    114:             lambda do
    115:               send(type, name)
    116:             end
    117:           end

[Validate]